<?php
require_once '../../debug/debug.php';
require_once '../../model/mysql/MysqlPizza.php';

class Pizza {
	private $mqp;
	
	public function __construct() {
		$this->mqp = new MysqlPizza();
	}

	/*
	 * OPERATION TABLE homepage
	 */
	public function get_description() {
		$list = $this->mqp->get_description();
		return $list;
	}
	
	public function get_subtitle() {
		$res = $this->mqp->get_subtitle();
		return $res;
	}
	
	public function get_title() {
		$res = $this->mqp->get_title();
		return $res;
	}
	
	public function update_description($description) {
		$res = $this->mqp->update_description($description);
		return $res;
	}
	
	public function update_subtitle($subtitle) {
		$res = $this->mqp->update_subtitle($subtitle);
		return $res;
	}
	
	public function update_title($title) {
		$res = $this->mqp->update_title($title);
		return $res;
	}

	/* 
	 * OPERATION TABLE menu
	 */
	 public function get_url_file($name_menu) {
//		 degug($name_menu);
		 $name_menu = strtolower($name_menu);
		 $transl = array('à'=>'a',
			'ç'=>'c',
			'é'=>'e', 'è'=>'e', 'ê'=>'e', 'ë'=>'e',
			'î'=>'i', 'ï'=>'i',
			'ù'=>'u', 'û'=>'u',
			'\''=>'', ' '=>'', '_'=>'', '-'=>'');
		$name_menu = strtr($name_menu, $transl);
		 $path = "../../view/php_public/" . $name_menu . ".php";
		 return $path;
	 }

/*	 
	 public function get_url_file_menu($name_menu) {
		 		 $name_menu = strtolower($name_menu);
		 echo "<p>get_url_file_menu $name_menu</p>";
		$transl = array('à'=>'a',
			'ç'=>'c',
			'é'=>'e', 'è'=>'e', 'ê'=>'e', 'ë'=>'e',
			'î'=>'i', 'ï'=>'i',
			'ù'=>'u', 'û'=>'u',
			'\''=>'', ' '=>'', '_'=>'', '-'=>'');
			$name_menu = strtr($name_menu, $transl);
					 echo "<p>get_url_file_menu $name_menu</p>";
	 }
*/	 
	 public function add_menu($name_menu) {
		 $res = $this->mqp->add_menu($name_menu);
		 return $res;
	 }
	 
	 public function create_file_menu($name_menu) {
//		 $name_file = "../../view/php_public/" . $name_menu . ".php";
		$name_file = $this->get_url_file($name_menu);
		 $f = fopen($name_file, "w") or die ("Probleme a la creation du fichier $name_file");
		 fwrite($f, "<!doctype html><html lang='fr'><head>");
		 
 		 fwrite($f, "<?php \nrequire_once '../../controller/php_controller/Pizza.php';\n");
 		 fwrite($f, "\$pizza = new Pizza();\$title = \$pizza->get_title();\$subtitle = \$pizza->get_subtitle();\n");
			fwrite($f, "\$name = \$pizza->get_name();\$address = \$pizza->get_address();\$zipcode = \$pizza->get_zipcode();\n");
			fwrite($f, "\$town = \$pizza->get_town();\$phone = \$pizza->get_phone();");
			fwrite($f, "?>\n");
			fwrite($f, "<title><?php echo \$title; ?></title>\n");
		 fwrite($f, "<meta charset='UTF-8'>\n<link rel='stylesheet' type='text/css' href='../../view/css/public.css'>\n");
		 fwrite($f, "</head>");
		 
		 fwrite($f, "<body><div id='global'><header><?php echo \$title; ?><div id='subtitle'>\n");
		 fwrite($f, "<?PHP echo \$subtitle; ?></div></header>\n");
		 
		 fwrite($f, "<?php require_once '../../view/php_public/menu.php'; ?>\n");
		 
		 fwrite($f, "<section id='main_content'>\n");
		 fwrite($f, "<article>\n");
		 fwrite($f, "<h1><?php echo \$name_menu; ?></h1>");
		 fwrite($f, "<table>\n");
		 fwrite($f, "<tr><th WIDTH='150'></th><td></td><th>27 CM</th><th>33 CM</th></tr>\n");
		 fwrite($f, "<?php \$list_pizza = \$pizza->get_list_pizza_by_menu(\$name_menu);\n");
		 fwrite($f, "foreach (\$list_pizza as \$piz) {\n");
			fwrite($f, "echo \"<tr><th>\$piz[2]</th><td>\$piz[3]</td><td>\$piz[4]</td><td>\$piz[5]</td></tr>\";\n");
			fwrite($f, "}//end foreach ?>\n");
		 
		 fwrite($f, "</table>\n");
		 fwrite($f, "</article>\n");
		 fwrite($f, "</section>\n");
		 fwrite($f, "<footer><?php echo \"\$name - \$address - \$zipcode - \$town - Téléphone : \$phone\"; ?>\n");
		 fwrite($f, "</footer>\n");
		 fwrite($f, "</div> <!-- end global -->\n</body></html>");
		 fclose($f);
		 
		 return 0;
	 }
	 
	 public function delete_menu($name_menu) {
		 $name_file = $this->get_url_file($name_menu);
		 $res = unlink($name_file);
		 if ($res == TRUE) { print("<p>Suppression du fichier : $name_file</p>"); }
		 else { print("<p>Probleme dans la suppression de $name_file</p>"); }
		 $res = $this->mqp->delete_menu($name_menu);
		 return $res;
	 }
	 
	 public function get_list_menu() {
		$list = $this->mqp->get_list_menu();
		return $list;
	}
		
	/*
	 * OPERATION TABLE opening_time
	 */
	 public function get_opening_time1_by_day($day) {
		 $res = $this->mqp->get_opening_time1_by_day($day);
		 return $res;
	 }
	 
	 public function get_opening_time2_by_day($day) {
		 $res = $this->mqp->get_opening_time2_by_day($day);
		 return $res;
	 }
	 
	 public function update_opening_time1_by_day($day, $opening_time) {
		 $res = $this->mqp->update_opening_time1_by_day($day, $opening_time);
		 return $res;
	 }
	 
	 public function update_opening_time2_by_day($day, $opening_time) {
		 $res = $this->mqp->update_opening_time2_by_day($day, $opening_time);
		 return $res;
	 }
	 
	 /*
	  * OPERATION TABLE pizza
	  */
	  public function add_pizza($name_menu, $name_pizza, $ingredients, $price27, $price33) {
			$res = $this->mqp->add_pizza($name_menu, $name_pizza, $ingredients, $price27, $price33);
			return $res;
		}
		
		public function delete_pizza($name_pizza) {
			$res = $this->mqp->delete_pizza($name_pizza);
			return $res;
		}
		
		public function get_list_pizza_by_menu($name_menu) {
			$res = $this->mqp->get_list_pizza_by_menu($name_menu);
			return $res;
		}

	/*
	 * OPERATION TABLE society
	 */
	 public function get_name() {
		 $res = $this->mqp->get_name();
		 return $res;
	 }
	 
	 public function get_address() {
		 $res = $this->mqp->get_address();
		 return $res;
	 }
	 
	 public function get_zipcode() {
		 $res = $this->mqp->get_zipcode();
		 return $res;
	 }
	 
	 public function get_town() {
		 $res = $this->mqp->get_town();
		 return $res;
	 }
	 
	 public function get_phone() {
		 $res = $this->mqp->get_phone();
		 return $res;
	 }
	 
	 public function update_name($name) {
		$res = $this->mqp->update_name($name);
		return $res;
	}
	
	public function update_address($address) {
		$res = $this->mqp->update_address($address);
		return $res;
	}
	
	public function update_zipcode($zipcode) {
		$res = $this->mqp->update_zipcode($zipcode);
		return $res;
	}
	
	public function update_town($town) {
		$res = $this->mqp->update_town($town);
		return $res;
	}
	
	public function update_phone($phone) {
		$res = $this->mqp->update_phone($phone);
		return $res;
	}
}//end class
?>
